## fglrx-installer 8.543

=== modules/fglrx/build_mod/2.6.x/Makefile ===
# Copyright (c) 2008 Advanced Micro Devices. All Rights Reserved.
# 
# Redistribution and  use  in  source  and  binary  forms,  with  or  without
# modification, are permitted provided that the following conditions are met:
# 
# 1. Redistributions of source code must retain the above  copyright  notice,
# this list of conditions and the following disclaimer.
# 
# 2. Redistributions in  binary  form  must  reproduce  the  above  copyright
# notice, this list  of  conditions  and  the  following  disclaimer  in  the
# documentation and/or other materials provided with the distribution.
# 
# 3. The name of the author may not be used to endorse  or  promote  products
# derived from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR  IMPLIED
# WARRANTIES, INCLUDING, BUT  NOT  LIMITED  TO,  THE  IMPLIED  WARRANTIES  OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN  NO
# EVENT SHALL THE AUTHOR BE LIABLE  FOR  ANY  DIRECT,  INDIRECT,  INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT  LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;  LOSS  OF  USE,  DATA,  OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED  AND  ON  ANY  THEORY  OF
# LIABILITY, WHETHER  IN  CONTRACT,  STRICT  LIABILITY,  OR  TORT  (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING  IN  ANY  WAY  OUT  OF  THE  USE  OF  THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

GCC_VER_MAJ      = $(shell $(CC) --version | head -n 1 | sed -e 's/[^0-9. ]//g;s/^ *//;s/^\(.\)\..*$$/\1/')

LIBIP_PREFIX	?= ..

obj-m           += fglrx.o
fglrx-libs      += libfglrx_ip.a.GCC$(GCC_VER_MAJ)
fglrx-c-objs    += firegl_public.o kcl_io.o kcl_pci.o kcl_agp.o
fglrx-objs      += $(fglrx-c-objs) $(fglrx-libs)
fglrx-hdrs      += firegl_public.h fglrxko_pci_ids.h kcl_config.h kcl_type.h kcl_waitqueue.h kcl_io.h kcl_pci.h kcl_agp.h
drm-hdrs        += drm.h drmP.h drm_os_linux.h drm_proc.h drm_compat.h

EXTRA_CFLAGS    += \
                -I$(PWD) \
                -DFGL \
                -DFGL_LINUX \
                -DFGL_GART_RESERVED_SLOT \
                -DFGL_LINUX253P1_VMA_API \
                -DPAGE_ATTR_FIX=$(PAGE_ATTR_FIX) \

ifeq ($(KERNELRELEASE),)
# on first call from remote location we get into this path
# whilst on second call all is managed by the embedding kernel makefile

KDIR            = /lib/modules/$(shell uname -r)/build
PWD             = $(shell pwd)

fglrx-cfiles    = ${fglrx-c-objs:.o=.c}

# default:: kmod_build

kmod_build:: $(fglrx-libs) $(fglrx-cfiles) $(fglrx-hdrs) $(drm-hdrs)
	$(MAKE) -C $(KDIR) SUBDIRS=$(PWD) modules

%.c:
	@ln -s ../$@

%.h:
	@ln -s ../$@

%.GCC$(GCC_VER_MAJ):
	@ln -s $(LIBIP_PREFIX)/$@

# distclean:: clean

clean::
	rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers

endif

# ### EOF ###

## fglrx-installer 8.840

=== modules/fglrx/build_mod/2.6.x/Makefile ===
--- 
+++ 
@@ -24,15 +24,37 @@
 # NEGLIGENCE OR OTHERWISE) ARISING  IN  ANY  WAY  OUT  OF  THE  USE  OF  THIS
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-GCC_VER_MAJ      = $(shell $(CC) --version | head -n 1 | sed -e 's/[^0-9. ]//g;s/^ *//;s/^\(.\)\..*$$/\1/')
-
 LIBIP_PREFIX	?= ..
 
 obj-m           += fglrx.o
-fglrx-libs      += libfglrx_ip.a.GCC$(GCC_VER_MAJ)
-fglrx-c-objs    += firegl_public.o kcl_io.o kcl_pci.o kcl_agp.o
+fglrx-libs      += libfglrx_ip.a
+
+fglrx-c-objs    += firegl_public.o      \
+                   kcl_acpi.o           \
+                   kcl_agp.o            \
+                   kcl_debug.o          \
+                   kcl_ioctl.o          \
+                   kcl_io.o             \
+                   kcl_pci.o            \
+                   kcl_str.o            \
+                   kcl_wait.o
+
 fglrx-objs      += $(fglrx-c-objs) $(fglrx-libs)
-fglrx-hdrs      += firegl_public.h fglrxko_pci_ids.h kcl_config.h kcl_type.h kcl_waitqueue.h kcl_io.h kcl_pci.h kcl_agp.h
+
+fglrx-hdrs      += firegl_public.h      \
+                   fglrxko_pci_ids.h    \
+                   kcl_acpi.h           \
+                   kcl_agp.h            \
+                   kcl_config.h         \
+                   kcl_debug.h          \
+                   kcl_io.h             \
+                   kcl_ioctl.h          \
+                   kcl_osconfig.h       \
+                   kcl_pci.h            \
+                   kcl_str.h            \
+                   kcl_type.h           \
+                   kcl_wait.h
+                   
 drm-hdrs        += drm.h drmP.h drm_os_linux.h drm_proc.h drm_compat.h
 
 EXTRA_CFLAGS    += \
@@ -47,7 +69,11 @@
 # on first call from remote location we get into this path
 # whilst on second call all is managed by the embedding kernel makefile
 
-KDIR            = /lib/modules/$(shell uname -r)/build
+ifeq ($(KVER),)
+	KVER        = $(shell uname -r)
+endif
+
+KDIR            = /lib/modules/$(KVER)/build
 PWD             = $(shell pwd)
 
 fglrx-cfiles    = ${fglrx-c-objs:.o=.c}
@@ -63,13 +89,13 @@
 %.h:
 	@ln -s ../$@
 
-%.GCC$(GCC_VER_MAJ):
+%.a:
 	@ln -s $(LIBIP_PREFIX)/$@
 
 # distclean:: clean
 
 clean::
-	rm -rf *.c *.h *.o *.ko *.GCC* .??* *.symvers
+	rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
 
 endif

## fglrx-installer 9.000

=== debian/changelog ===
fglrx-installer (2:9.000-0ubuntu3) quantal; urgency=low

  * debian/rules:
    - Correct the path to Qt libraries on i386.

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 29 Sep 2012 20:47:10 +0200

fglrx-installer (2:9.000-0ubuntu2) quantal; urgency=low

  * debian/rules:
    - Make sure that all binaries in /usr/bin are executable.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 27 Sep 2012 15:22:36 +0200

fglrx-installer (2:9.000-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1032672).
  * debian/dkms.conf.in:
    - Do not apply any kernel patch.
  * debian/rules:
    - Make it possible to set the xserver ABIs in debian/substvars.
  * Merge fixes from the upstream installer:
    - Fix openCL issues running x86 binaries on x86_64.
    - Make sure that dh_shlibdeps doesn't complain about missing qt
      libraries.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 26 Sep 2012 16:40:59 +0200

fglrx-installer (2:8.982-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1039397).
  * debian/control:
    - Conflict with/replace/provide nvidia and fglrx. This will make
      sure that other binary drivers cannot be installed at the same
      time. This is required by the new restricted drivers UI.
  * debian/rules:
    - Make sure to call the "serverabi" phony target.
    - Hardcode the X ABI to 11.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 10 Sep 2012 14:00:35 +0200

fglrx-installer (2:8.960-0ubuntu6) quantal; urgency=low

  [ Stéphane Graber ]
  * Only purge the package if nothing else provides fglrx
    (LP: #949641).

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 01 Aug 2012 12:04:39 +0200

fglrx-installer (2:8.960-0ubuntu5) quantal; urgency=low

  * debian/control:
    - Make sure that ${xviddriver:Depends} is actually replaced
      with its value.
  * debian/rules:
    - Make sure to call the serverabi target.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 03 Jul 2012 18:02:31 +0200

fglrx-installer (2:8.960-0ubuntu4) quantal; urgency=low

  * Rename build to build-arch and make build depend on build-arch.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 02 Jul 2012 17:32:12 -0600

fglrx-installer (2:8.960-0ubuntu3) quantal; urgency=low

  * fix-build-issue-on-i386-where-TS_USEDFPU-is-no-longe.patch:
    - Update patch so as to make sure to include
      asm/fpu-internal.h (LP: #1017822).

 -- Alberto Milone <alberto.milone@canonical.com>  Sat, 30 Jun 2012 11:33:04 +0200

fglrx-installer (2:8.960-0ubuntu2) quantal; urgency=low

  * replace-do_mmap-and-do_munmap-with-vm_mmap-and-vm_mu.patch,
    replace-for_each_cpu_mask-with-for_each_possible_cpu.patch:
    - Add support for Linux 3.5.

 -- Alberto Milone <alberto.milone@canonical.com>  Sun, 17 Jun 2012 17:20:49 +0200

fglrx-installer (2:8.960-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Fix issue with XVideo in the new xserver (LP: #921384).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 22 Mar 2012 16:01:03 +0100

fglrx-installer (2:8.911-0ubuntu1) precise; urgency=low

  * New upstream release (11-11).
  * debian/fglrx.install.in, debian/fglrx.dirs.in,
    debian/fglrx.links.in ,debian/fglrx.postinst.in,
    debian/rules:
    - Install OpenCL libraries.
    - Make sure to use the multiarch path to the Mesa libraries.
      This (partially) solves an issue with PXpress which couldn't
      find the Mesa libraries (LP: #813809).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 25 Nov 2011 15:11:02 +0100

fglrx-installer (2:8.881-0ubuntu5) precise; urgency=low

  * debian/fglrx.prerm.in:
    - Make sure to remove the correct alternatives on package
      removal (LP: #855943).
    - Call ldconfig with the LDCONFIG_NOTRIGGER=y environment
      variable, as in the postinst script.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 25 Oct 2011 17:52:12 +0200

fglrx-installer (2:8.881-0ubuntu4) oneiric; urgency=low

  * Re-enable grub fb and drop the initramfs hook in favour of
    "alias radeon/lbm_radeon off" (LP: #864149).

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 10 Oct 2011 20:29:27 +0200

fglrx-installer (2:8.881-0ubuntu3) oneiric; urgency=low

  * debian/rules, debian/modaliases/fglrx_supported:
    - Make sure that the module alias is always correct and
      uses underscores instead of hyphens (LP: #855396).
    - Make the grub-gfxpayload file a template and blacklist
      all AMD cards so that Grub doesn't set a framebuffer
      which prevents recovery mode from working (LP: #854967).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 30 Sep 2011 15:36:00 +0200

fglrx-installer (2:8.881-0ubuntu2) oneiric; urgency=low

  * debian/rules:
    - Add an initramfs hook to make sure that nothing else loads
      open graphics drivers in the initramfs (LP: #839524).

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 08 Sep 2011 15:12:24 +0200

fglrx-installer (2:8.881-0ubuntu1) oneiric; urgency=low

  * New upstream release 8.881 (11-8).
  * debian/rules:
    - Make sure to use LICENSE instead of ATI_LICENSE, as it
      has been renamed by AMD.
    - Add a hack for pbuild which would otherwise fail to call
      execstack when trying to build.
    - Rename the grub_fb_blacklist link, so that it has a name
      shared with all the other proprietary drivers.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 24 Aug 2011 12:08:49 +0200

fglrx-installer (2:8.872-0ubuntu2) oneiric; urgency=low

  * debian/fglrx.prerm.in:
    - Remove trailing whitespace.
    - Make sure to remove the alternatives for PXpress on
      uninstallation (LP:# 827046).

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 16 Aug 2011 16:25:24 +0200

fglrx-installer (2:8.872-0ubuntu1) oneiric; urgency=low

  * New upstream release 8.872 (11-7).
  * debian/rules:
    - Further improvements on files generation from templates.


=== debian/control ===
Source: fglrx-installer
Section: restricted/misc
Priority: extra
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>, Alberto Milone <albertomilone@alice.it>
Build-Depends: debhelper (>= 7),
               dh-modaliases,
               libxext6,
               libxrandr2,
               libice6,
               libsm6,
               libfontconfig1,
               libxi6,
               libxcursor1,
               fakeroot,
               libdrm2,
               libgl1-mesa-glx,
               libxinerama1,
               libqtgui4,
               xserver-xorg-dev (>= 2:1.10.0),
               execstack
Standards-Version: 3.8.3
Homepage: http://support.amd.com

Package: fglrx
Architecture: amd64 i386
Recommends: fglrx-amdcccle
Depends: ${shlibs:Depends}, xserver-xorg-core, lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
 linux-headers-generic | linux-headers,
 ${xviddriver:Depends}
Provides: fglrx-driver, nvidia-current, nvidia-current-updates, nvidia-experimental,
 nvidia-173, nvidia-173-updates, nvidia-96, nvidia-96-updates, fglrx-updates,
 ${xviddriver:Provides}
Conflicts: fglrx-driver, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source,
 libamdxvba1, fglrx-modaliases, nvidia-experimental, nvidia-current,
 nvidia-current-updates, nvidia-173, nvidia-173-updates, nvidia-96,
 nvidia-96-updates, fglrx-updates
Replaces: fglrx-driver, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source,
 libamdxvba1, fglrx-modaliases, fglrx, nvidia-current-modaliases,
 nvidia-180-modaliases, nvidia-185-modaliases, nvidia-experimental,
 nvidia-current, nvidia-current-updates, nvidia-173, nvidia-173-updates,
 nvidia-96, nvidia-96-updates, fglrx-updates, fglrx-amdcccle
XB-Modaliases: ${modaliases}
Description: Video driver for the AMD graphics accelerators
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides 2D display drivers
 and hardware accelerated OpenGL.

Package: fglrx-dev
Architecture: amd64 i386
Depends: fglrx
Conflicts: fglrx-driver-dev, xfree86-driver-fglrx-dev
Replaces: fglrx-driver-dev, xfree86-driver-fglrx-dev, xorg-driver-fglrx-dev, fglrx-updates-dev
Provides: fglrx-driver-dev
Description: Video driver for the AMD graphics accelerators (devel files)
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides definitions for the GL and GLX extensions.

Package: fglrx-amdcccle
Architecture: amd64 i386
Depends: fglrx, ${shlibs:Depends}
Conflicts: fglrx-control-qt2, fglrx-control
Replaces: fglrx-control, fglrx-amdcccle-updates
Provides: fglrx-control
Description: Catalyst Control Center for the AMD graphics accelerators
 Catalyst Control Center for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides the Catalyst Control Center, Linux Edition

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2002-2005 Flavio Stanchina
# Copyright (C) 2005-2006 Aric Cyr
# Copyright (C) 2007-2010 Mario Limonciello
# Copyright (C) 2009-2011 Canonical Ltd.

# Figure out some magic versioning
CVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d- -f1 | cut -d\: -f2)
DVERSION := $(shell dpkg-parsechangelog | grep '^Version:' | cut -d' ' -f2 | cut -d\: -f2)
DISTRO   := $(shell dpkg-parsechangelog | grep '^Distribution:' | cut -d' ' -f2 | cut -d\: -f2)

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# If the host is i386 set OTHER_ARCH to x86_64 and vice versa
OTHER_ARCH := $(shell (echo "$(DEB_HOST_MULTIARCH)" | grep i386 >/dev/null) && \
		echo "$(DEB_HOST_MULTIARCH)" | sed s/i386/x86_64/ || \
		echo "$(DEB_HOST_MULTIARCH)" | sed s/x86_64/i386/)

# Hack for pbuild which would otherwise fail to call execstack
PATH := $(PATH):/usr/sbin

# Package names
PKG_driver      := fglrx
PKG_driver_dev  := fglrx-dev
PKG_control     := fglrx-amdcccle
PKG_module      := $(shell echo "$(PKG_driver)" | sed s/\-/_/g)

# Priority of the alternatives
alt_priority         := 1000
PX_alt_priority      := 900

#Directory naming schemes
PKG_dirname          := $(PKG_driver)
bindir               := usr/bin
datadir              := usr/share
PKG_datadir          := $(datadir)/$(PKG_dirname)
libdir               := usr/lib
libdir32             := usr/lib32
includedir           := usr/include
sysconfdir           := etc
PKG_libdir           := $(libdir)/$(PKG_dirname)
PKG_libdir32         := $(libdir32)/$(PKG_dirname)
xorg_libdir          := $(libdir)/xorg
xorg_extra_modules   := $(libdir)/$(DEB_HOST_MULTIARCH)/xorg/extra-modules
xorg_extensionsdir   := $(xorg_libdir)/modules/extensions
PKG_driversdir       := $(PKG_libdir)/xorg
PKG_extensionsdir    := $(PKG_driversdir)
PKG_bindir           := $(PKG_libdir)/bin
PKG_deskdir          := $(PKG_datadir)
PKG_configdir        := $(PKG_libdir)
ld_so_conf_dir       := $(PKG_configdir)
ld_so_conf_file      := ld.so.conf
alt_ld_so_conf_file  := alt_ld.so.conf
ld_so_conf_path      := $(ld_so_conf_dir)/$(ld_so_conf_file)
alt_ld_so_conf_path  := $(ld_so_conf_dir)/$(alt_ld_so_conf_file)
mandir               := usr/share/man/man1
PKG_bugdir           := usr/share/bug/$(PKG_dirname)
autostartdir         := etc/xdg/autostart
PKG_autostartdir     := $(PKG_configdir)
grub_blacklistdir    := usr/share/grub-gfxpayload-lists/blacklist

PKG_xmoddir  := $(PKG_libdir)/xorg/modules

PX_dirname := pxpress
PX_dir := $(libdir)/$(PX_dirname)
PX_dir32 := $(libdir32)/$(PX_dirname)
PX_xmoddir := $(PX_dir)/xorg/modules
PX_libdir := $(PX_dir)/lib
PX_libdir32 := $(PX_dir32)/lib
PX_ld_so_conf := $(PX_dir)/$(ld_so_conf_file)
PX_ld_so_conf_alt := $(PX_dir)/$(alt_ld_so_conf_file)

# This is a hack to make sure that
# the blacklist file is available
# early in the boot process when
# /usr is on a separate partition.
# See LP: #538071.
PKG_libconfdir := lib/$(PKG_dirname)

# Paths to the dirs from the installer
SRC_libdir   := lib
SRC_arch     := x86
SRC_other_arch := x86_64
SRC_xarch    := xpic

ifeq ($(DEB_HOST_ARCH),amd64)
	SRC_libdir  := lib64
	SRC_arch    := x86_64
	SRC_other_arch := x86
	SRC_xarch   := $(SRC_xarch)_64a
endif

#These "define" bits are needed for the blacklist file
define newline


endef

define blacklist_file
# This file was installed by $(PKG_driver)
# Do not edit this file manually

blacklist radeon
alias fglrx $(PKG_module)
alias radeon off
alias lbm-radeon off
endef

# DEB_DH_SHLIBDEPS_ARGS_ALL="-Xlib32"

refresh_copyright:
	# refresh copyright file
	cat debian/copyright_stub_0 > debian/copyright
	cat usr/share/doc/fglrx/LICENSE.TXT >> debian/copyright
	cat debian/copyright_stub_1 >> debian/copyright

clean: refresh_copyright
	# remove any file generated from a template
	for file in *.in; do \
		# strip only the last .in from the name \
		filename=`echo $$file | sed -e "s|.in|$1|"` \
		rm -f $(filename); \
	done
	rm -f debian/$(PKG_driver).substvars

	dh clean


build: build-arch
build-arch:
	#Create important strings
	for i in 10fglrx \
			 dkms.conf \
			 $(PKG_driver).install \
			 $(PKG_driver_dev).install \
			 $(PKG_driver_dev).links \
			 $(PKG_control).install \
			 $(PKG_driver).grub-gfxpayload \
			 $(PKG_driver).dirs \
			 $(PKG_driver).links \
			 $(PKG_driver).postinst \
			 $(PKG_driver).postrm \
			 $(PKG_driver).preinst \
			 $(PKG_driver).prerm \
			 overrides/$(PKG_driver); do \
		sed -e "s|#PKGXMODDIR#|$(PKG_xmoddir)|g" \
			-e "s|#LIBDIR#|$(libdir)|g" \
			-e "s|#LIBDIR32#|$(libdir32)|g" \
			-e "s|#BINDIR#|$(bindir)|g" \
			-e "s|#SYSCONFDIR#|$(sysconfdir)|g" \
			-e "s|#MANDIR#|$(mandir)|g" \
			-e "s|#LDSOCONF#|$(ld_so_conf_path)|g" \
			-e "s|#ALTLDSOCONF#|$(alt_ld_so_conf_path)|g" \
			-e "s|#ALTPRIORITY#|$(alt_priority)|g" \
			-e "s|#PXALTPRIORITY#|$(PX_alt_priority)|g" \
			-e "s|#AUTOSTARTDIR#|$(autostartdir)|g" \
			-e "s|#DATADIR#|$(datadir)|g" \
			-e "s|#PKGDESKDIR#|$(PKG_deskdir)|g" \
			-e "s|#PKGDATADIR#|$(PKG_datadir)|g" \
			-e "s|#PKGCONFIGDIR#|$(PKG_configdir)|g" \
			-e "s|#PKGBINDIR#|$(PKG_bindir)|g" \
			-e "s|#PKGLIBDIR#|$(PKG_libdir)|g" \
			-e "s|#PKGLIBDIR32#|$(PKG_libdir32)|g" \
			-e "s|#PKGDRIVERSDIR#|$(PKG_driversdir)|g" \
			-e "s|#XORGEXTRA#|$(xorg_extra_modules)|g" \
			-e "s|#PKGEXTENSIONDIR#|$(PKG_extensionsdir)|g" \
			-e "s|#XORGEXTENSIONSDIR#|$(xorg_extensionsdir)|g" \
			-e "s|#DRIVERNAME#|$(PKG_driver)|g" \
			-e "s|#DRIVERDEVNAME#|$(PKG_driver_dev)|g" \
			-e "s|#DRIVERSRCNAME#|$(PKG_source)|g" \
			-e "s|#INCLUDEDIR#|$(includedir)|g" \
			-e "s|#PKGLIBCONFDIR#|$(PKG_libconfdir)|g" \
			-e "s|#GRUBBLKLISTDIR#|$(grub_blacklistdir)|g" \
			-e "s|#PKGXMODDIR#|$(PKG_xmoddir)|g" \
			-e "s|#PXDIR#|$(PX_dir)|g" \
			-e "s|#PXDIR32#|$(PX_dir32)|g" \
			-e "s|#PXXMODDIR#|$(PX_xmoddir)|g" \
			-e "s|#PXDIRNAME#|$(PX_dirname)|g" \
			-e "s|#PXLIBDIR#|$(PX_libdir)|g" \
			-e "s|#PXLIBDIR32#|$(PX_libdir32)|g" \
			-e "s|#PXLDSOCONF#|$(PX_ld_so_conf)|g" \
			-e "s|#ALTPXLDSOCONF#|$(PX_ld_so_conf_alt)|g" \
			-e "s|#CVERSION#|$(CVERSION)|g" \
			-e "s|#SRCXARCH#|$(SRC_xarch)|g" \
			-e "s|#SRCARCH#|$(SRC_arch)|g" \
			-e "s|#SRCOTHERARCH#|$(SRC_other_arch)|g" \
			-e "s|#SRCLIBDIR#|$(SRC_libdir)|g" \
			-e "s|#DEB_HOST_MULTIARCH#|$(DEB_HOST_MULTIARCH)|g" \
			-e "s|#OTHER_ARCH#|$(OTHER_ARCH)|g" \
			debian/$$i.in > debian/$$i;      \
	done

	# remove exec bit on everything
	find arch \
		etc \
		lib \
		module \
		usr \
		$(SRC_xarch)     -type f | xargs chmod -x

	# set executable on user apps
	find arch/$(SRC_arch)/usr/sbin \
		arch/$(SRC_arch)/usr/X11R6/bin \
		usr/sbin/ -type f | xargs chmod a+x

	# set exec bit on scripts
	find lib etc debian -name "*.sh" -type f | xargs chmod +x

	# set the permissions on the pxpress scripts
	chmod 744 debian/pxpress/switch*

	dh build

.PHONY: gen-abi-substvars
gen-abi-substvars:
	# Generate the xserver ABI dependencies
	cat debian/substvars >> debian/$(PKG_driver).substvars

binary-arch: refresh_copyright gen-abi-substvars
	#Steps that we can't easily represent in debhelper files or .in files yet

	# Remove any libraries that may be caught by shell expansion
	find . -name libGLE* | xargs rm -f
	find . -name libEGL* | xargs rm -f

ifeq ($(DEB_HOST_ARCH),amd64)
	dh_install -p$(PKG_driver)    "arch/x86/usr/X11R6/lib/libAMD*.so*"           "$(PKG_libdir32)"
	dh_install -p$(PKG_driver) "arch/x86/usr/X11R6/lib/*.*"           "$(PKG_libdir32)"
	dh_install -p$(PKG_driver) "arch/x86/usr/X11R6/lib/fglrx/*.so*"     "$(PKG_libdir32)"
	dh_installdirs -p$(PKG_driver) "$(PKG_libdir32)"
	dh_install -p$(PKG_driver) "arch/x86/usr/X11R6/lib/modules/dri"     "$(PKG_libdir32)"
	dh_install -p$(PKG_driver) "arch/x86/usr/lib/*.so*"                 "$(PKG_libdir32)"

	# Install the QT libraries
	dh_install -p$(PKG_driver) "arch/x86_64/usr/share/ati/lib64" "$(datadir)/ati"

	for i in \
			debian/$(PKG_driver)/$(PKG_libdir32)/dri/fglrx_dri.so \
			debian/$(PKG_driver)/$(PKG_libdir32)/*libGL.so.* \

## fglrx-installer 9.010

=== debian/changelog ===
fglrx-installer (2:9.010-0ubuntu3) raring; urgency=low

  * debian/control:
    - Conflict/replace/provide xorg-driver-binary. Also
      get rid of all the other entries which have no
      use now that xorg-driver-binary is in place.

 -- Alberto Milone <alberto.milone@canonical.com>  Mon, 15 Apr 2013 13:19:40 +0200

fglrx-installer (2:9.010-0ubuntu2) raring; urgency=low

  * debian/control:
    - Drop all the dependencies on the linux-headers.
    - Drop redundant dependency on the xserver.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 17 Jan 2013 17:46:04 +0100

fglrx-installer (2:9.010-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/dkms.conf.in,
    replace-archdata.acpi_handle-with-acpi_node.handle.patch:
    - Add support for Linux 3.8 (LP: #1095755).
      Thanks to Robert Hooker for the patch.
  * debian/substvars:
    - Remove versioned dependency on xserver-xorg-core.
  * debian/10fglrx.in, debian/rules:
    - Fix paths which prevented OpenGL operations on hybrid systems
      on amd64 (LP: #1068661). Thanks to Nick Andrik for the patch.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 08 Jan 2013 16:12:09 +0100

fglrx-installer (2:9.000-0ubuntu4) raring; urgency=low

  * debian/control:
    - Conflict/replace/provide new nvidia flavours.
    - Depend on other flavours of kernel headers.
  * debian/dkms.conf.in,
    replace-VM_RESERVED-with-VM_DONTEXPAND-and-VM_DONTDU.patch:
    - Add support for Linux 3.7 (LP: #1075937).
  * debian/10fglrx.in:
    - Fix path for powerxpress (LP: #1068661). Thanks
      to Nick Andrik and Lu Xingzhe for suggesting
      the fix.

  [ Benjamin Kerensa ]
  * debian/control:
    - Add ${misc:Depends} depends as needed.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 07 Dec 2012 15:16:01 +0100

## fglrx-installer 12.103.7.3-sutton1

=== debian/changelog ===
fglrx-installer (2:12.103.7.3-sutton1) precise; urgency=low

  * 12.103.7.3-130823a-161356C (LP: #1208812)

 -- Yang Bai <hamo@canonical.com>  Wed, 28 Aug 2013 16:50:00 +0800

fglrx-installer (2:12.103.7.2-sutton1) precise; urgency=low

  * 12.103.7.2-130627a-158912C (LP: #1180237 #1185758)

 -- Shuduo Sang <shuduo.sang@canonical.com>  Mon, 8 Jul 2013 12:50:00 +0800

fglrx-installer (2:12.103.7-sutton3) precise; urgency=low

  * Recommend disable-jockey-fglrx so we can warn users through jockey

 -- Yang Bai <hamo@canonical.com>  Mon, 17 Jun 2013 15:38:02 +0800

fglrx-installer (2:12.103.7-sutton2) precise; urgency=low

  * Prepare for live update

 -- Yang Bai <hamo@canonical.com>  Wed, 22 May 2013 14:00:02 +0800

fglrx-installer (2:12.103.7-sutton1) precise; urgency=low

  * 12.103.7-130509a-157123C

 -- Yang Bai <hamo@canonical.com>  Wed, 15 May 2013 12:31:02 +0800

=== debian/control ===
Source: fglrx-installer
Section: restricted/misc
Priority: extra
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Uploaders: Yang Bai <hamo@canonical.com>
Build-Depends: debhelper (>= 7),
               dh-modaliases,
               libxext6, 
               libxrandr2, 
               libice6, 
               libsm6, 
               libfontconfig1, 
               libxi6, 
               libxcursor1, 
               fakeroot, 
               libdrm2,
               libgl1-mesa-glx | libgl1-mesa-glx-lts-quantal,
               libxinerama1,
               libqtgui4,
               execstack
Standards-Version: 3.8.3
Homepage: http://support.amd.com

Package: fglrx
Architecture: amd64 i386
Recommends: fglrx-amdcccle, disable-jockey-fglrx
Depends: ${shlibs:Depends}, xserver-xorg-core | xserver-xorg-core-lts-quantal,
 lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
 linux-headers-generic | linux-headers-generic-lts-quantal | linux-headers
Conflicts: fglrx-driver, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases
Replaces: fglrx-driver, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases, fglrx-updates
Provides: fglrx-driver
XB-Modaliases: ${modaliases}
Description: Video driver for the AMD graphics accelerators
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides 2D display drivers
 and hardware accelerated OpenGL.
 .
 WARNING: On some platforms, installing this driver may cause the system unstable in some cases, please refer to know issues. Use it only if you know what you are doing.
 .
 Known issues:
 1. When switching to Power Saving Mode, system can not be woken up from suspend.

Package: fglrx-dev
Architecture: amd64 i386
Depends: fglrx
Conflicts: fglrx-driver-dev, xfree86-driver-fglrx-dev
Replaces: fglrx-driver-dev, xfree86-driver-fglrx-dev, xorg-driver-fglrx-dev, fglrx-updates-dev
Provides: fglrx-driver-dev
Description: Video driver for the AMD graphics accelerators (devel files)
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides definitions for the GL and GLX extensions.

Package: fglrx-amdcccle
Architecture: amd64 i386
Depends: fglrx, ${shlibs:Depends}
Conflicts: fglrx-control-qt2, fglrx-control
Replaces: fglrx-control, fglrx-amdcccle-updates
Provides: fglrx-control
Description: Catalyst Control Center for the AMD graphics accelerators
 Catalyst Control Center for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides the Catalyst Control Center, Linux Edition

=== debian/rules ===
--- 
+++ 
@@ -120,7 +120,6 @@
 		filename=`echo $$file | sed -e "s|.in|$1|"` \
 		rm -f $(filename); \
 	done
-	rm -f debian/$(PKG_driver).substvars
 
 	dh clean
 
@@ -210,12 +209,8 @@
 
 	dh build
 
-.PHONY: gen-abi-substvars
-gen-abi-substvars:
-	# Generate the xserver ABI dependencies
-	cat debian/substvars >> debian/$(PKG_driver).substvars
-
-binary-arch: refresh_copyright gen-abi-substvars
+
+binary-arch: refresh_copyright
 	#Steps that we can't easily represent in debhelper files or .in files yet
 
 	# Remove any libraries that may be caught by shell expansion
@@ -236,3 +231,8 @@
 	for i in \
 			debian/$(PKG_driver)/$(PKG_libdir32)/dri/fglrx_dri.so \
 			debian/$(PKG_driver)/$(PKG_libdir32)/*libGL.so.* \
+			; do execstack -q $$i; execstack -c $$i; done
+
+	#they don't provide the symlink for us (starting at 8.699)
+	dh_link -p$(PKG_driver) $(PKG_libdir32)/libatiuki.so.1.0 $(PKG_libdir32)/libatiuki.so.1
+else

## fglrx-installer 13.101

=== debian/changelog ===
fglrx-installer (2:13.101-0ubuntu3) saucy; urgency=low

  * debian/dkms.conf.in:
    - Add support for Linux 3.11.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 06 Aug 2013 14:08:43 +0200

fglrx-installer (2:13.101-0ubuntu2) saucy; urgency=low

  * debian/fglrx.dirs.in:
    - Do not install the xorg modules directory.

 -- Alberto Milone <alberto.milone@canonical.com>  Thu, 27 Jun 2013 14:39:29 +0200

fglrx-installer (2:13.101-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - Add support for AMD A10, A8, A6, and A4 Series APUs.
    - Add GLX_EXT_buffer_age extension support.
    - Add Xserver 1.14 Support.
    - [371937] Fix black screen while entering Team
      Fortress 2  under cinnamon desktop environment.
    - [366812] Fix tearing for some OpenGL applications
      with VSYNC on or off.
    - [373575] Fix taskbar missing after UVD playback
      on Ubuntu 12.04.
    - [370955] Fix corruption in Team Fortress 2 when
      running Dustbowl map.
    - [377199] Fix the error for APL initialization
      failure.
    - [378086] Fix screen corruption when kill X on
      Ubuntu 13.04.
    - [374657] Fix some WebGL conformance test
      failures.
    - [377379] Fix the regression of performance drop
      with XBMC for UVD playback.
  * debian/dkms.conf.in,
    debian/dkms/patches/replace_old_procfs_calls.patch:
    - Add support for Linux 3.10.
  * debian/substvars:
    - Add support for X ABI 14.
  * debian/rules:
    - Sign the driver to remove the watermark.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 21 Jun 2013 12:37:08 +0200

fglrx-installer (2:9.010-0ubuntu4) saucy; urgency=low

  * debian/dkms.conf.in:
    - Add support for Linux 3.9 (LP: #1185285).

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 14 Jun 2013 17:02:58 +0200

## fglrx-installer 13.350-0ubuntu1stellaoemdriver2

=== debian/changelog ===
fglrx-installer (2:13.350-0ubuntu1stellaoemdriver2) precise; urgency=medium

  * Update AMD version string.

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 17 Jul 2014 13:15:16 +0800

fglrx-installer (2:13.350-0ubuntu1stellaoemdriver1) precise; urgency=low

  * For online update.
    VendorSource: https://canonical.basecamphq.com/projects/9443563/file/186997042/13.35.1009.1002RC5_140620a-173679E-HP_Linux.zip

 -- Gerald Yang <gerald.yang@canonical.com>  Mon, 14 Jul 2014 13:51:41 +0800

=== debian/control ===
Source: fglrx-installer
Section: restricted/misc
Priority: extra
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>, Alberto Milone <albertomilone@alice.it>
Build-Depends: debhelper (>= 7),
               dh-modaliases,
               libxext6, 
               libxrandr2, 
               libice6, 
               libsm6, 
               libfontconfig1, 
               libxi6, 
               libxcursor1, 
               fakeroot, 
               libdrm2,
               libgl1-mesa-glx | libgl1-mesa-glx-lts-quantal,
               libxinerama1,
               libqtgui4,
               xserver-xorg-dev (>= 2:1.10.0) | xserver-xorg-dev-lts-quantal | xserver-xorg-dev-lts-raring | xserver-xorg-dev-lts-saucy,
               execstack
Standards-Version: 3.8.3
Homepage: http://support.amd.com

Package: fglrx
Architecture: amd64 i386
Recommends: fglrx-amdcccle
Depends: ${shlibs:Depends}, ${misc:Depends},
 lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
 ${xviddriver:Depends}
Conflicts: fglrx-driver, xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases
Replaces: fglrx-driver, xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases, fglrx-updates
Provides: fglrx-driver, xorg-driver-binary
XB-Modaliases: ${modaliases}
Description: Video driver for the AMD graphics accelerators
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides 2D display drivers
 and hardware accelerated OpenGL.

Package: fglrx-dev
Architecture: amd64 i386
Depends: fglrx, ${misc:Depends}
Conflicts: fglrx-driver-dev, xfree86-driver-fglrx-dev
Replaces: fglrx-driver-dev, xfree86-driver-fglrx-dev, xorg-driver-fglrx-dev, fglrx-updates-dev
Provides: fglrx-driver-dev
Description: Video driver for the AMD graphics accelerators (devel files)
 Video driver for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides definitions for the GL and GLX extensions.

Package: fglrx-amdcccle
Architecture: amd64 i386
Depends: fglrx, ${shlibs:Depends}, ${misc:Depends}
Conflicts: fglrx-control-qt2, fglrx-control
Replaces: fglrx-control, fglrx-amdcccle-updates
Provides: fglrx-control
Description: Catalyst Control Center for the AMD graphics accelerators
 Catalyst Control Center for the AMD Radeon and FireGL graphics accelerators.
 .
 This package provides the Catalyst Control Center, Linux Edition

=== debian/rules ===
--- 
+++ 
@@ -120,9 +120,9 @@
 		filename=`echo $$file | sed -e "s|.in|$1|"` \
 		rm -f $(filename); \
 	done
+	rm -f debian/$(PKG_driver).substvars
 
 	dh clean
-
 
 build: build-arch
 build-arch:
@@ -209,8 +209,12 @@
 
 	dh build
 
-
-binary-arch: refresh_copyright
+.PHONY: gen-abi-substvars
+gen-abi-substvars:
+	# Generate the xserver ABI dependencies
+	cat debian/substvars >> debian/$(PKG_driver).substvars
+
+binary-arch: refresh_copyright gen-abi-substvars
 	#Steps that we can't easily represent in debhelper files or .in files yet
 
 	# Remove any libraries that may be caught by shell expansion
@@ -231,8 +235,3 @@
 	for i in \
 			debian/$(PKG_driver)/$(PKG_libdir32)/dri/fglrx_dri.so \
 			debian/$(PKG_driver)/$(PKG_libdir32)/*libGL.so.* \
-			; do execstack -q $$i; execstack -c $$i; done
-
-	#they don't provide the symlink for us (starting at 8.699)
-	dh_link -p$(PKG_driver) $(PKG_libdir32)/libatiuki.so.1.0 $(PKG_libdir32)/libatiuki.so.1
-else

## fglrx-installer 13.350.1

=== debian/changelog ===
fglrx-installer (2:13.350.1-0ubuntu2) trusty; urgency=medium

  * debian/dkms.conf.in,
    debian/dkms/patches/buildfix_kernel_3.14.patch:
    - Add support for Linux 3.14.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 04 Apr 2014 16:45:37 +0200

fglrx-installer (2:13.350.1-0ubuntu1) trusty; urgency=medium

  * New upstream release (14.3):
    - [394848] - Xorg crashed 160 playing AVI video file in VLC
      player or Parole player (LP: #1279412).
    - [394705] - "Nexuiz - Demo3" Ubuntu performance lower than
      Redhat.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 19 Mar 2014 11:25:21 +0100

fglrx-installer (2:13.350-0ubuntu1) trusty; urgency=low

  * debian/dkms.conf.in:
    - Drop all the patches.
  * debian/substvars:
    - Add support for X ABI 15.
  * New upstream release (14.1):
    - [386897]: System hang on resume from S4 with OpenGL screen
      saver running.
    - [387678]: Backtrace occurs when kill X.
    - [387664]: Failed to start X without kernel module loaded.
    - [378620]: OpenCL test failure in CrossFire Mode.
    - [386945]: piglit test "spec/ARB_copy_buffer/overlap" failed.
    - [386710]: piglit test "spec/ARB_draw_buffers_blend" failed.
    - [386818]: piglit test "spec/OpenGL 2.0/depth-tex-modes-glsl"
      failed.
    - [386941]: piglit test "spec/ARB_blend_func_extended" failed.
    - [386903]: piglit test "spec/OpenGL 3.0/gl-3.0-required-sized-
      texture-formats" failed.
    - [386840]: Viewport goes blank when mouse cursor leaves when run
      Houdini on Ubuntu.
    - [387596]: piglit test "spec/ARB_framebuffer_object (fbo-
      scissor-blit)" failed.
    - [389174]: Failed to get fan speed on Bonaire card.
    - [388110]: Intermittent flashing problem when running at
      2560x1600.
    - [372656]: Crash when resizing Konsole.
    - [388325]: Brightness cannot be adjusted on Ubuntu 12.04 LTS.
    - [388330]: piglit test "spec/ARB_framebuffer_object (fbo-blit-
      stretch)" failed.
    - [385457]: Blue/white screen after using Google-chrome to run
      fishietank.
    - [388500]: piglit test "spec/EXT_texture_integer" failed.
    - [388802]: piglit test "spec/ARB_map_buffer_alignment" failed.
    - [386396]: piglit test "spec/ARB_depth_buffer_float/fbo-
      depthstencil-drawpixels" failed.
    - [389431]: Screens are distorted when connecting an external
      monitor on some Haswell platforms.
    - [389530]: Blank screen/crash observed while running unigine
      heaven benchmark in windowed mode.
    - [387124]: OpenCL performance drop observed on Hawaii compared
      to Tahiti XT.
    - [386940]: piglit test "spec/EXT_texture_sRGB" failed.
    - [392137]: [SteamOS] Failed to return to desktop from steam.
    - [392015]: [SteamOS] Screen is locked when changing user.
    - [392014]: [SteamOS] Failed to login Steam sometimes.

 -- Alberto Milone <alberto.milone@canonical.com>  Tue, 04 Feb 2014 12:49:07 +0100

fglrx-installer (2:13.101-0ubuntu6) trusty; urgency=low

  * debian/fglrx.dirs.in:
    - Add /usr/share/applications (this helps in chroots).
  * debian/dkms.conf.in, debian/dkms/patches/buildfix_kernel_3.13.patch:
    - Apply the procfs patch to kernels up to 3.14
    - Add support for Linux 3.13.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 08 Jan 2014 16:32:39 +0100

fglrx-installer (2:13.101-0ubuntu5) trusty; urgency=low

  * Revert previous upload and introduce the patch used in the
    -updates flavour using dkms instead of quilt.

 -- Alberto Milone <alberto.milone@canonical.com>  Wed, 18 Dec 2013 17:16:24 +0100

fglrx-installer (2:13.101-0ubuntu4) trusty; urgency=low

  * Fix compile issue for Linux 3.12

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 30 Oct 2013 18:18:59 +0000

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders: Mario Limonciello <superm1@ubuntu.com>, Alberto Milone <albertomilone@alice.it>
 Build-Depends: debhelper (>= 7),
                dh-modaliases,
-               libxext6, 
-               libxrandr2, 
-               libice6, 
-               libsm6, 
-               libfontconfig1, 
-               libxi6, 
-               libxcursor1, 
-               fakeroot, 
+               libxext6,
+               libxrandr2,
+               libice6,
+               libsm6,
+               libfontconfig1,
+               libxi6,
+               libxcursor1,
+               fakeroot,
                libdrm2,
-               libgl1-mesa-glx | libgl1-mesa-glx-lts-quantal,
+               libgl1-mesa-glx,
                libxinerama1,
                libqtgui4,
-               xserver-xorg-dev (>= 2:1.10.0) | xserver-xorg-dev-lts-quantal | xserver-xorg-dev-lts-raring | xserver-xorg-dev-lts-saucy,
+               xserver-xorg-dev (>= 2:1.10.0),
                execstack
 Standards-Version: 3.8.3
 Homepage: http://support.amd.com
@@ -28,9 +28,9 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
  lib32gcc1 [amd64], libc6-i386 [amd64], dkms, make, linux-libc-dev,
  ${xviddriver:Depends}
-Conflicts: fglrx-driver, xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases
-Replaces: fglrx-driver, xorg-driver-binary, xfree86-driver-fglrx, xorg-driver-fglrx, fglrx-kernel-source, libamdxvba1, fglrx-modaliases, fglrx-updates
-Provides: fglrx-driver, xorg-driver-binary
+Provides: fglrx-driver, xorg-driver-binary, ${xviddriver:Provides}
+Conflicts: fglrx-driver, xorg-driver-binary
+Replaces: fglrx-driver, xorg-driver-binary
 XB-Modaliases: ${modaliases}
 Description: Video driver for the AMD graphics accelerators
  Video driver for the AMD Radeon and FireGL graphics accelerators.

=== debian/rules ===
--- 
+++ 
@@ -123,6 +123,7 @@
 	rm -f debian/$(PKG_driver).substvars
 
 	dh clean
+
 
 build: build-arch
 build-arch:
